Upgrade to 6.0

If you have questions or problems upgrading your previous version to WackoWiki 6.0.x


  1. Release Notes
  2. Upgrade notices
  3. Database UTF-8 conversion

Comments

  1. Re: Upgrade to 6.0

    Hi! Notes about upgrade WackoWiki 5.5.5 to 6.0.6:

    On the first phase 5.5.5 -> 5.5.17 web-installer shows error on the step "Database Installation" about changing of the table 'referrer' because SQL-request "ALTER TABLE referrer CHANGE ip ip VARCHAR(45) NOT NUL" tries to change not existing field 'ip'. The fields 'ip' and 'user_agent' are not inserted into table 'referrer' at every previous upgrades of my WackoWiki. AFAIK, this fields can appear in this table only at the fresh installation, not upgrade, and are not used in code yet.

    On the second phase 5.5.17 -> 6.0.6 web-installer shows error on the step "Database Installation" about changing of the table 'user' because SQL-request "INSERT INTO user (user_name, account_lang, password, email, account_type, signup_time) VALUES ('Deleted', 'ru', , , '1', UTC_TIMESTAMP())" doesn't define values of the other fields with NOT NULL definition. Moreover, user 'Deleted' already exists in the table, it was added at some previous upgrade.

    All this errors are not critical and can be ignored.

    Another problem after upgrade to 6.0.6 in my case is impossibility to enter cyrillic letters in mysql command line of MariaDB 10.2.22 on CentOS 7.8.2003 and utf8 or utf8mb4 character_set of connection. Many variants of mysql settings are tried without success, now I suspect the settings of MariaDB build from SCLo repository.